## AgsConnectable

AgsConnectable — unique access to objects

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsUUID * | ags_connectable_get_uuid ()
gboolean | ags_connectable_has_resource ()
gboolean | ags_connectable_is_ready ()
void | ags_connectable_add_to_registry ()
void | ags_connectable_remove_from_registry ()
xmlNode * | ags_connectable_list_resource ()
xmlNode * | ags_connectable_xml_compose ()
void | ags_connectable_xml_parse ()
gboolean | ags_connectable_is_connected ()
void | ags_connectable_connect ()
void | ags_connectable_disconnect ()
void | ags_connectable_connect_connection ()
void | ags_connectable_disconnect_connection ()

## Types and Values

enum | AgsConnectableFlags

## Object Hierarchy

        GInterface
        ╰── AgsConnectable

## Includes

    #include <ags/object/ags_connectable.h>

## Description

The AgsConnectable interface gives you a unique access to all objects and is responsible to set up signal handlers.

## Functions

### ags_connectable_get_uuid ()

    AgsUUID *
    ags_connectable_get_uuid (AgsConnectable *connectable);

Get UUID of `connectable` .

#### Parameters

connectable | the AgsConnectable |

#### Returns

the assigned AgsUUID

Since: 3.0.0

### ags_connectable_has_resource ()

    gboolean
    ags_connectable_has_resource (AgsConnectable *connectable);

Check the connectable to have resources.

#### Parameters

connectable | the AgsConnectable |

#### Returns

`TRUE` if `connectable` can be added to registry, otherwise `FALSE`.

Since: 3.0.0

### ags_connectable_is_ready ()

    gboolean
    ags_connectable_is_ready (AgsConnectable *connectable);

Connect the connectable.

#### Parameters

connectable | the AgsConnectable |

#### Returns

`TRUE` if is added to registry, otherwise `FALSE`.

Since: 3.0.0

### ags_connectable_add_to_registry ()

    void
    ags_connectable_add_to_registry (AgsConnectable *connectable);

Add connectable to registry.

#### Parameters

connectable | the AgsConnectable |

Since: 3.0.0

### ags_connectable_remove_from_registry ()

    void
    ags_connectable_remove_from_registry (AgsConnectable *connectable);

Remove connectable from registry.

#### Parameters

connectable | the AgsConnectable |

Since: 3.0.0

### ags_connectable_list_resource ()

    xmlNode *
    ags_connectable_list_resource (AgsConnectable *connectable);

List resources as an XML element and return it.

#### Parameters

connectable | the AgsConnectable |

#### Returns

the xmlNode.

[transfer none]

Since: 3.0.0

### ags_connectable_xml_compose ()

    xmlNode *
    ags_connectable_xml_compose (AgsConnectable *connectable);

Compose an XML element and return it.

#### Parameters

connectable | the AgsConnectable |

#### Returns

the xmlNode.

[transfer none]

Since: 3.0.0

### ags_connectable_xml_parse ()

    void
    ags_connectable_xml_parse (AgsConnectable *connectable,
                               xmlNode *node);

Parse `node` as XML element and apply it.

#### Parameters

connectable | the AgsConnectable |
node | the xmlNode. | [transfer none]

Since: 3.0.0

### ags_connectable_is_connected ()

    gboolean
    ags_connectable_is_connected (AgsConnectable *connectable);

Check if the `connectable` was connected.

#### Parameters

connectable | the AgsConnectable |

#### Returns

`TRUE` if is connected, otherwise `FALSE`.

Since: 3.0.0

### ags_connectable_connect ()

    void
    ags_connectable_connect (AgsConnectable *connectable);

Connect the connectable.

#### Parameters

connectable | the AgsConnectable |

Since: 3.0.0

### ags_connectable_disconnect ()

    void
    ags_connectable_disconnect (AgsConnectable *connectable);

Disconnect the connectable.

#### Parameters

connectable | the AgsConnectable |

Since: 3.0.0

### ags_connectable_connect_connection ()

    void
    ags_connectable_connect_connection (AgsConnectable *connectable,
                                        GObject *connection);

Disconnect the connectable.

#### Parameters

connectable | the AgsConnectable |
connection | the connection |

Since: 3.0.0

### ags_connectable_disconnect_connection ()

    void
    ags_connectable_disconnect_connection (AgsConnectable *connectable,
                                           GObject *connection);

Disconnect the connectable.

#### Parameters

connectable | the AgsConnectable |
connection | the connection |

Since: 3.0.0

## Types and Values

### enum AgsConnectableFlags

Enum values to specify particular state.

#### Members

AGS_CONNECTABLE_ADDED_TO_REGISTRY | added to registry |
AGS_CONNECTABLE_CONNECTED | connected |